<?php

class kopa_mobile_menu extends Walker_Nav_Menu {



    function start_el(&$output, $item, $depth = 0, $args = array(), $current_object_id = 0) {

        global $wp_query;

        $indent = ( $depth ) ? str_repeat("\t", $depth) : '';



        $class_names = $value = '';



        $classes = empty($item->classes) ? array() : (array) $item->classes;

        $classes[] = 'menu-item-' . $item->ID;



        $class_names = join(' ', apply_filters('nav_menu_css_class', array_filter($classes), $item, $args));



        if ($depth == 0)

            $class_names = $class_names ? ' class="' . esc_attr($class_names) . ' clearfix"' : 'class="clearfix"';

        else

            $class_names = $class_names ? ' class="' . esc_attr($class_names) . '"' : 'class=""';



        $id = apply_filters('nav_menu_item_id', 'menu-item-' . $item->ID, $item, $args);

        $id = $id ? ' id="' . esc_attr($id) . '"' : '';



        $output .= $indent . '<li' . $id . $value . $class_names . '>';



        $attributes = !empty($item->attr_title) ? ' title="' . esc_attr($item->attr_title) . '"' : '';

        $attributes .=!empty($item->target) ? ' target="' . esc_attr($item->target) . '"' : '';

        $attributes .=!empty($item->xfn) ? ' rel="' . esc_attr($item->xfn) . '"' : '';

        $attributes .=!empty($item->url) ? ' href="' . esc_attr($item->url) . '"' : '';

        if ($depth == 0) {

            $item_output = $args->before;

            $item_output .= '<h3><a' . $attributes . '>';

            $item_output .= $args->link_before . apply_filters('the_title', $item->title, $item->ID) . $args->link_after;

            $item_output .= '</a></h3>';

            $item_output .= $args->after;

        } else {

            $item_output = $args->before;

            $item_output .= '<a' . $attributes . '>';

            $item_output .= $args->link_before . apply_filters('the_title', $item->title, $item->ID) . $args->link_after;

            $item_output .= '</a>';

            $item_output .= $args->after;

        }

        $output .= apply_filters('walker_nav_menu_start_el', $item_output, $item, $depth, $args);

    }



    function start_lvl(&$output, $depth = 0, $args = array()) {

        $indent = str_repeat("\t", $depth);

        if ($depth == 0) {

            $output .= "\n$indent<span>+</span><div class='clear'></div><div class='menu-panel clearfix'><ul>";

        } else {

            $output .= '<ul>'; // indent for level 2, 3 ...

        }

    }



    function end_lvl(&$output, $depth = 0, $args = array()) {

        $indent = str_repeat("\t", $depth);

        if ($depth == 0) {

            $output .= "$indent</ul></div>\n";

        } else {

            $output .= '</ul>';

        }

    }



}