<!DOCTYPE html>

<html <?php language_attributes(); ?>>              

   <head>

     <meta charset="<?php bloginfo('charset'); ?>" />                   

     <meta name="viewport" content="width=device-width, initial-scale=1.0" />    

     <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />                       

     <?php wp_head(); ?>

   </head>  

   <body <?php body_class(); ?>>



    <header class="kopa-header">

        <div class="kopa-header-top">  

            <div class="wrapper">



                <?php             

                $is_show_signup_links = (int)get_theme_mod('is_show_signup_links', 1);                

                if($is_show_signup_links):

                    $users_can_register = (int)get_option('users_can_register');                    

                    if($users_can_register):

                    ?>

                    <div class="header-top-left">

                        <div class="kopa-user">

                            <ul class="clearfix">

                                <?php if (!is_user_logged_in()): ?>

                                    <li><a href="<?php echo esc_url(wp_login_url(home_url('/'))); ?>">Sign in</a></li>

                                    <li>&nbsp;|&nbsp;</li>

                                    <li><a href="<?php echo esc_url(wp_registration_url()); ?>">Register</a></li>

                                <?php else: ?>

                                    <li><a href="<?php echo esc_url(wp_logout_url(home_url('/'))); ?>">Logout</a></li>

                                <?php endif;?>

                            </ul>

                        </div>

                    </div> 

                    <?php 

                    endif;

                endif;

                ?>



                <div class="header-top-right">

                    <?php 

                    $is_show_post_format_links = (int)get_theme_mod('is_show_post_format_links', 1);

                    if($is_show_post_format_links):

                    ?>

                        <div class="header-top-list">

                            <ul class="clearfix">

                                <li>

                                    <a href="<?php echo esc_url(get_post_format_link('gallery')); ?>">

                                        <span>

                                            <i class="fa fa-image"></i>

                                            <span><?php _e('photos', 'seramag_lite'); ?></span>

                                        </span>

                                    </a>

                                </li>



                                <li>

                                    <a href="<?php echo esc_url(get_post_format_link('video')); ?>"><span>

                                        <span>

                                            <i class="fa fa-play-circle-o"></i>

                                            <span><?php _e('video', 'seramag_lite'); ?></span>

                                        </span>

                                    </a>

                                </li>

                            </ul>

                        </div>

                    <?php endif;?>



                    <div class="kopa-search-box">

                        <a href="#"><i class="fa fa-search"></i><span>Search</span></a>



                        <form action="<?php echo esc_url(trailingslashit(home_url())); ?>" 

                            class="search-form clearfix" method="get">

                            <input type="text" name="s" class="search-text">

                            <button type="submit" class="search-submit">

                                <span><?php _e('Go', 'seramag_lite'); ?></span>

                            </button>

                        </form>



                    </div>

                </div>

            </div>  

        </div>



        <div class="kopa-header-middle">

            <div class="wrapper">

        		<?php 

        		$logo = get_theme_mod('logo', false);

        		if($logo):

        		?>

                <div class="kopa-logo">

                    <a href="<?php echo esc_url(home_url('/')); ?>">

                    	<img src="<?php echo esc_url($logo); ?>" alt="">

                    </a>

                </div>

                <?php else: ?>

                    <div class="kopa-logo kopa-logo-text">

                        <a href="<?php echo esc_url(home_url('/')); ?>">

                            <?php if(is_front_page() || is_home()): ?>

                                <h1 id="site-title"><?php echo esc_attr(get_bloginfo('name'));?></h1>

                            <?php else: ?>

                                <p id="site-title"><?php echo esc_attr(get_bloginfo('name'));?></p>

                            <?php endif;?>



                            <p id="site-desc">

                                <?php echo esc_textarea(get_bloginfo('description')); ?>

                            </p>

                        </a>

                    </div>

                <?php endif; ?>



                <?php

				if (has_nav_menu('primary-nav')) {

				    wp_nav_menu(array(

                            'theme_location'  => 'primary-nav',

                            'container'       => 'nav',

                            'container_class' => 'kopa-main-nav',											

                            'menu_id'         => 'main-menu',

                            'menu_class'      => 'main-menu sf-menu'));



				    echo '<nav class="main-nav-mobile clearfix">';

				    echo '<a class="pull fa fa-bars"></a>';

				    wp_nav_menu(array(

							'theme_location'  => 'primary-nav',

							'container'       => false,											

							'menu_id'         => 'main-menu-mobile',

							'menu_class'      => 'main-menu-mobile'));								    

				    echo '</nav>';

				}                

                ?>

            </div>

        </div>



        <div class="kopa-header-bottom">

            <div class="wrapper">

			<?php

				if (has_nav_menu('secondary-nav')) {

					wp_nav_menu(array(

					'theme_location' => 'secondary-nav',

					'container'      => 'nav',

					'container_class'   => 'kopa-main-nav-2',											

					'menu_id'        => 'main-menu-2',

					'menu_class'     => 'main-menu-2 sf-menu'));



					echo '<nav class="main-nav-mobile style2 clearfix">';

					echo '<a class="pull">categories<i class="fa fa-angle-down"></i></a>';

					wp_nav_menu(array(

					'theme_location' => 'secondary-nav',

					'container'      => false,									

					'menu_class'     => 'main-menu-mobile'));									

					echo '</nav>';



				}								

			?>

            </div>

        </div>

    </header>



    <div id="main-content">

        <div class="wrapper">

            

            <?php get_template_part('modules/headlines'); ?>



            <div class="row">

                <div class="kopa-main-col">   	