<?php

add_action( 'widgets_init', array('Seramag_Lite_Widget_Posts_Medium_Thumb', 'register'));



class Seramag_Lite_Widget_Posts_Medium_Thumb extends Seramag_Lite_Widget_Master{

    

    function __construct() {

        $control_ops = array('width' => 'auto', 'height' => 'auto');

        $widget_ops  = array('classname' => 'kopa-article-list-widget article-list-5', 'description' => __('Display a list of post with medium thumb.', 'seramag_lite'));



        parent::__construct('seramag_lite-widget-posts-medium-thumb', 

            __('Seramag Posts - Medium Thumb', 'seramag_lite'), 

            $widget_ops, 

            $control_ops);

    }



    public static function register(){

    	register_widget('Seramag_Lite_Widget_Posts_Medium_Thumb');

    }    



    function widget($args, $instance) {

        extract($args);



        $instance = wp_parse_args((array) $instance, $this->get_default());

        $title    = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);



        echo  htmlspecialchars_decode(esc_html($before_widget));

        if (!empty($title))

            echo  htmlspecialchars_decode(esc_html($before_title . $title . $after_title));



		$query      = $this->get_query($instance);

		$resuls_set = new WP_Query($query);



        if ($resuls_set->have_posts()):

            ?>

            <ul class="clearfix">

                <?php

                    while ($resuls_set->have_posts()):

            		    $resuls_set->the_post();

                        $classes[] = 'entry-item';

                        if('video' == get_post_format()){

                            $classes[] = 'video-post';

                        }                    

                        ?>

                            <li>

                                <article class="<?php echo esc_attr(implode(' ', $classes)); ?>">

                                    <?php if(has_post_thumbnail()): ?>

                                        <div class="entry-thumb">

                                        

                                            <a href="<?php the_permalink(); ?>">

                                                <?php the_post_thumbnail('seramag_lite_medium_thumb', array('class' => 'img-responsive')); ?>

                                            </a>



                                            <a class="thumb-icon style1" href="<?php the_permalink(); ?>"></a>

                                        </div>

                                    <?php endif; ?>



                                    <div class="entry-content">

                                        <div class="content-top">

                                            <h4 class="entry-title">

                                                <a href="<?php the_permalink(); ?>">

                                                    <?php the_title(); ?>

                                                </a>

                                            </h4>



                                            <p class="entry-comment">

                                                <a href="<?php the_permalink(); ?>">

                                                    <?php echo esc_attr(get_comments_number()); ?>

                                                </a>

                                            </p>

                                        </div> 

                                        <footer>

                                            <p class="entry-author">

                                                <?php _e('by', 'seramag_lite'); ?> <?php the_author_link(); ?>

                                            </p>

                                        </footer>

                                    </div>

                                </article>

                            </li>

                        <?php

                    endwhile;

                ?>

            </ul>

            <?php

        endif;



        wp_reset_postdata();



        echo htmlspecialchars_decode(esc_html($after_widget));

    }



}