<?php

add_action( 'widgets_init', array('Seramag_Lite_Widget_Posts_Slider', 'register'));



class Seramag_Lite_Widget_Posts_Slider extends Seramag_Lite_Widget_Master{

    

    function __construct() {

        $control_ops = array('width' => 'auto', 'height' => 'auto');

        $widget_ops  = array('classname' => 'kopa-slide-widget', 'description' => __('Display a slider with dotted pagination.', 'seramag_lite'));



        parent::__construct('seramag_lite-widget-posts-slider', 

            __('Seramag Posts - Slider', 'seramag_lite'), 

            $widget_ops, 

            $control_ops);

    }



    public static function register(){

    	register_widget('Seramag_Lite_Widget_Posts_Slider');

    }    



    function widget($args, $instance) {

        extract($args);



        $instance = wp_parse_args((array) $instance, $this->get_default());

        $title    = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);



        echo  htmlspecialchars_decode(esc_html($before_widget));

        if (!empty($title))

            echo  htmlspecialchars_decode(esc_html($before_title . $title . $after_title));



		$query      = $this->get_query($instance);

		$resuls_set = new WP_Query($query);



        if ($resuls_set->have_posts()):

            

            echo '<div class="owl-carousel owl-carousel-6">';

            

            while ($resuls_set->have_posts()):

    		    $resuls_set->the_post();



                if(has_post_thumbnail()):



                    $classes[] = 'entry-item';

                    if('video' == get_post_format()){

                        $classes[] = 'video-post';

                    }



                    ?>

                    <div class="item">

                        <article class="<?php echo esc_attr(implode(' ', $classes)); ?>">

                            

                            <div class="entry-thumb">

                                <a href="<?php the_permalink(); ?>">

                                    <?php the_post_thumbnail('seramag_lite_slider'); ?>

                                </a>



                                <a class="thumb-icon" href="<?php the_permalink(); ?>"></a>

                            </div>



                            <div class="entry-content">

                                <h3 class="">

                                    <a href="<?php the_permalink();?>"><?php the_title(); ?></a>

                                </h3>



                                <div class="content-top">

                                    <h4 class="entry-title">

                                        <a href="<?php the_permalink();?>"><?php the_title(); ?></a>

                                    </h4>

                                    <p class="entry-comment">

                                        <a href="<?php the_permalink(); ?>"><?php echo get_comments_number();?></a>

                                    </p>

                                </div>



                                <footer>

                                    <p class="entry-author">

                                        <?php _e('by', 'seramag_lite'); ?> <?php the_author_link(); ?>

                                    </p>

                                </footer>

                            </div>

                        </article>

                    </div>                

                    <?php

                endif;



            endwhile;



	        echo '</div>';



        endif;



        wp_reset_postdata();



        echo htmlspecialchars_decode(esc_html($after_widget));

    }



}