<?php

add_action( 'widgets_init', array('Seramag_Lite_Widget_Posts_Toggle', 'register'));



class Seramag_Lite_Widget_Posts_Toggle extends Seramag_lite_Widget_Master{

    

    function __construct() {

        $control_ops = array('width' => 'auto', 'height' => 'auto');

        $widget_ops = array('classname' => 'kopa-tab-1-widget', 'description' => __('Display list of posts with tabs layout.', 'seramag_lite'));    

        parent::__construct('seramag_lite-widget-posts-tabs', __('Seramag Posts - Tabs', 'seramag_lite'), $widget_ops, $control_ops);

    }



    public static function register(){

    	register_widget('Seramag_Lite_Widget_Posts_Toggle');

    }    



    function widget($args, $instance) {

        extract($args);



        $instance = wp_parse_args((array) $instance, $this->get_default());

        $title = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);



        echo  htmlspecialchars_decode(esc_html($before_widget));

        if (!empty($title))

            echo  htmlspecialchars_decode(esc_html($before_title . $title . $after_title));



        $tabs_id = sprintf('seramag-tabs-%s', wp_generate_password(4, false, false));



        ?>

        <div class="kopa-tab style6">

            <ul class="nav nav-tabs">

                <li class="active">

                    <a href="#<?php echo "{$tabs_id}-recent"; ?>" data-toggle="tab">

                        <span><?php _e('Recent', 'seramag_lite'); ?></span>

                    </a>

                </li>

                <li>

                    <a href="#<?php echo "{$tabs_id}-random"; ?>" data-toggle="tab">

                        <span><?php _e('Random', 'seramag_lite'); ?></span>

                    </a>

                </li>

            </ul>

        

            <div class="tab-content">

                

                <?php $this->get_random($instance, $tabs_id); ?>



                <?php $this->get_recent($instance, $tabs_id); ?>



            </div>

        </div>

        <?php



        echo htmlspecialchars_decode(esc_html($after_widget));

    }



    public function get_random($instance, $tabs_id){

        $instance['orderby'] = 'rand';

        $query               = $this->get_query($instance);

        $resuls_set          = new WP_Query($query);



        if ($resuls_set->have_posts()):                 

            ?>

                <div class="tab-pane" id="<?php echo "{$tabs_id}-random"; ?>">

                    <ul class="kopa-list clearfix">            

                    <?php

                        while ($resuls_set->have_posts()):

                            $resuls_set->the_post();

                            ?>

                            <li>

                                <a href="<?php the_permalink();?>">

                                    <?php the_title(); ?>

                                </a>

                            </li>

                            <?php               

                        endwhile;

                    ?>

                    </ul>   

                </div>

            <?php

        endif;



        wp_reset_postdata();

    }    



    public function get_recent($instance, $tabs_id){

        $instance['orderby'] = 'date';

        $query               = $this->get_query($instance);

        $resuls_set          = new WP_Query($query);



        if ($resuls_set->have_posts()):                 

            ?>

                <div class="tab-pane active" id="<?php echo "{$tabs_id}-recent"; ?>">

                    <ul class="kopa-list clearfix">            

                    <?php

                        while ($resuls_set->have_posts()):

                            $resuls_set->the_post();

                            ?>

                            <li>

                                <a href="<?php the_permalink();?>">

                                    <?php the_title(); ?>

                                </a>

                            </li>

                            <?php               

                        endwhile;

                    ?>

                    </ul>   

                </div>          

            <?php

        endif;



        wp_reset_postdata();

    }

}



