<?php

/**

 * The Header for our theme.

 *

 * Displays all of the <head> section and everything up till <div id="main">

 *

 * @package sporty

 * @since sporty 1.0

 */

?><!DOCTYPE html>

<!--[if IE 8]>

<html id="ie8" <?php language_attributes(); ?>>

<![endif]-->

<!--[if !(IE 8) ]><!-->

<html <?php language_attributes(); ?>>

<!--<![endif]-->

<head>

<meta charset="<?php bloginfo( 'charset' ); ?>" />

<meta name="viewport" content="width=device-width" />



<link rel="profile" href="http://gmpg.org/xfn/11" />

<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<!--[if lt IE 9]>

<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>

<![endif]-->



<?php wp_head(); ?>

</head>



<body <?php body_class(); ?>>

<div id="wrap">

<div id="page" class="hfeed site">

	<?php do_action( 'before' ); ?>

<header id="masthead" class="site-header" role="banner">

     <?php get_template_part( 'inc/socmed' ); ?>

    <?php if ( get_theme_mod( 'sporty_logo' ) ) : ?>

    <div class="site-logo">

        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php echo esc_url( get_theme_mod( 'sporty_logo' ) ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"></a>

    </div>

<?php else : ?>



		<div class="site-introduction">

			<h1 class="site-title"><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>

			<p class="site-description"><?php bloginfo( 'description' ); ?></p>

		</div>

<?php endif; ?>

<!-- <div class="sponsor-block">

		<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php echo esc_url( get_theme_mod( 'sporty_logo' ) ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"></a>

</div> -->

<nav role="navigation" class="site-navigation main-navigation">

			<h1 class="assistive-text"><?php _e( 'Menu', 'sporty' ); ?></h1>

			<div class="assistive-text skip-link"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'sporty' ); ?>"><?php _e( 'Skip to content', 'sporty' ); ?></a></div>



			<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>

		</nav><!-- .site-navigation .main-navigation -->



		<?php $header_image = get_header_image();

		if ( ! empty( $header_image ) ) { ?>

			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">

				<img src="<?php header_image(); ?>" />

			</a>

		<?php } // if ( ! empty( $header_image ) ) ?>





	</header><!-- #masthead .site-header -->

	<div id="main" class="site-main">

